MG_VMod = {}

if CLIENT then
	MG_VMod.HUD = {}
	MG_VMod.HUD.BarMultiplier = 0.487
	MG_VMod.HUD.Width = 60
	MG_VMod.HUD.Height = 300
	MG_VMod.HUD.OffsetX = 25
	MG_VMod.HUD.OffsetY = 25
	MG_VMod.HUD.Border = 4
	MG_VMod.HUD.Color = Color(255, 185, 0, 255)
	MG_VMod.HUD.BGColor = Color(0, 0, 0, 240)
end

MG_VMod.StartupTime = 1.5

MG_VMod.LossSpeed = 10
MG_VMod.LossAmount = 1
MG_VMod.LossMult = {0.9, 1.1}

MG_VMod.NoStartup = {
	["Airboat"] = true,
	["porcycletdm"] = true
}

MG_VMod.NoStartupTeams = {}
timer.Simple(0, function()
	MG_VMod.NoStartupTeams = {
		[TEAM_POLICEDOG] = true,
		[TEAM_STRAY] = true,
	}
end)

MG_VMod.FuelExceptions = {
	["porcycletdm"] = true,
	["tesmodelstdm"] = true,
	["nis_leaftdm"] = true
}

MG_VMod.Pump = {}

MG_VMod.Pump.CustomPrices = {
	["crownvic_taxitdm"] = 0.1,
	["mas_ghiblitdm"] = 0.25,
	["mitsuevoxpoltdm"] = 0.25,
	["charger12poltdm"] = 0.25,
	["vswat"] = 0.25,
}

MG_VMod.Pump.StandardPrice = 90
MG_VMod.Pump.Range = 124